Commits

Yuya Nishihara  committed 978b061

build: add script to run make with tee

  • Participants
  • Parent commits bbc2d19

Comments (0)

Files changed (1)

+#!/bin/sh
+
+basedir="$1"
+[ -n "$basedir" ] || { echo 'please specify directory to build' >&2; exit 1; }
+[ -d "$basedir" -a -f "$basedir/Makefile" ] \
+    || { echo "invalid build directory: $basedir" >&2; exit 1; }
+
+cd "$basedir"
+make clean all 2>&1 | tee "build-$(date +%Y-%m-%d).log"